.container {
    height: 5px;
    width: 100%;
    position: absolute;
    top: 0;
    background-color: #fff;
}

.background {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    background-color: var(--secondary-color);
}

.loading {
    position: absolute;
    width: 100%;
    height: 100%;
    background:linear-gradient(to left, var(--secondary-color), transparent);
    animation: translate 1300ms infinite;
}

@keyframes translate {
    0% {
        transform: translate(-100vw);
    }
    100% {
        transform: translateX(0);
    }
}
